PipeWire: module-protocol-simple.c File Reference

PipeWire 0.3.37

Data Structures | Macros | Functions
module-protocol-simple.c File Reference
Include dependency graph for module-protocol-simple.c:

## Data Structures
struct | impl
struct | client
struct | server

## Macros
#define | NAME "protocol-simple"
#define | DEFAULT_PORT 4711
#define | DEFAULT_SERVER "[ \"tcp:"SPA_STRINGIFY(DEFAULT_PORT)"\" ]"
#define | DEFAULT_FORMAT "S16"
#define | DEFAULT_RATE "44100"
#define | DEFAULT_CHANNELS "2"
#define | DEFAULT_POSITION "[ FL FR ]"
#define | DEFAULT_LATENCY "1024/48000"
#define | MAX_CLIENTS 10
#define | MODULE_USAGE
#define | SERVER_TYPE_INVALID 0
#define | SERVER_TYPE_UNIX 1
#define | SERVER_TYPE_INET 2

## Functions
int | pipewire__module_init (struct pw_impl_module *module, const char *args)

## Macro Definition Documentation

## ◆ DEFAULT_CHANNELS

#define DEFAULT_CHANNELS "2"

## ◆ DEFAULT_FORMAT

#define DEFAULT_FORMAT "S16"

## ◆ DEFAULT_LATENCY

#define DEFAULT_LATENCY "1024/48000"

## ◆ DEFAULT_PORT

#define DEFAULT_PORT 4711

## ◆ DEFAULT_POSITION

#define DEFAULT_POSITION "[ FL FR ]"

## ◆ DEFAULT_RATE

#define DEFAULT_RATE "44100"

## ◆ DEFAULT_SERVER

#define DEFAULT_SERVER "[ \"tcp:"SPA_STRINGIFY(DEFAULT_PORT)"\" ]"

## ◆ MAX_CLIENTS

#define MAX_CLIENTS 10

## ◆ MODULE_USAGE

#define MODULE_USAGE

Value:
"[ capture=<bool> ] " \
"[ playback=<bool> ] " \
"[ capture.node=<source-target> ] " \
"[ playback.node=<sink-target> ] " \
"[ audio.rate=<sample-rate, default:"DEFAULT_RATE"> ] " \
"[ audio.format=<format, default:"DEFAULT_FORMAT"> ] " \
"[ audio.channels=<channels, default:"DEFAULT_CHANNELS"> ] " \
"[ audio.position=<position, default:"DEFAULT_POSITION"> ] " \
"[ server.address=<[ tcp:[<ip>:]<port>[,...] ], default:"DEFAULT_SERVER">" \
DEFAULT_CHANNELS
#define DEFAULT_CHANNELS
Definition: module-protocol-simple.c:62
DEFAULT_SERVER
#define DEFAULT_SERVER
Definition: module-protocol-simple.c:58
DEFAULT_POSITION
#define DEFAULT_POSITION
Definition: module-protocol-simple.c:63
DEFAULT_FORMAT
#define DEFAULT_FORMAT
Definition: module-protocol-simple.c:60
DEFAULT_RATE
#define DEFAULT_RATE
Definition: module-protocol-simple.c:61

## ◆ NAME

#define NAME "protocol-simple"

## ◆ SERVER_TYPE_INET

#define SERVER_TYPE_INET 2

## ◆ SERVER_TYPE_INVALID

#define SERVER_TYPE_INVALID 0

## ◆ SERVER_TYPE_UNIX

#define SERVER_TYPE_UNIX 1

## Function Documentation

## ◆ pipewire__module_init()

int pipewire__module_init | ( | struct pw_impl_module * | module,
|  | const char * | args
| ) |  |

References impl::context, impl::loop, impl::module, impl::module_listener, impl::props, props, pw_context_get_main_loop(), pw_impl_module_add_listener(), pw_impl_module_get_context(), pw_log_debug, pw_properties_new(), pw_properties_new_string(), impl::server_list, and spa_list_init().